View Issue Details

IDProjectCategoryView StatusLast Update
0003774ScribusImport / Exportpublic2007-01-01 20:50
Reportermkoren Assigned Tojghali  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSDebian LinuxOS VersionStable/Testing
Product Version1.3.3.1 
Target VersionFixed in Version1.3.3.7cvs 
Summary0003774: wrong svg export/import
Description[Marking as major since it totally doesn't work, though this isn't personally urgent for me right now.]

Exporting a simple file as svg and reimporting it made a mess of one of the objects (which was a group). Appears to be mostly an import issue as svg rendered ok in opera, except too small.

Screenshot 1: Doc in scribus with original objects and reimported set below; svg rendered in opera on left. Export seems ok except that size is reduced, which seems preserved on input (compare arrow sizes). The wavy line group is totally dissociated on import.

Screenshot 2: Additional problem importing as a new file (with no file previously open): same messed up structure but now the wavelets aren't even rendered.
Additional InformationI can provide the files involved if necessary.
TagsNo tags attached.
Patch

Relationships

related to 0003714 closedfschmid SVG import causes GUI freeze 
related to 0003670 closed SVG cannot be flipped 
related to 0003440 closedjghali SVG import does not handle <use> tags 
related to 0003278 closedjghali SVG gradients don't import correctly 
child of 0002931 acknowledged Metabug: SVG 

Activities

2006-05-08 23:24

 

svgtest.png (63,900 bytes)
svgtest.png (63,900 bytes)

2006-05-08 23:27

 

svgtest_import_as_new.png (42,162 bytes)
svgtest_import_as_new.png (42,162 bytes)

avox

2006-05-09 09:28

administrator   ~0011134

> I can provide the files involved if necessary.

Yes, please.

plinnell

2006-05-09 13:08

viewer   ~0011144

FYI, The best and most reliable viewer for SVG in my experience and in the opinion of many Inkscape developers is batik, from apache. 'Squiggle' is the viewer. This is a java app and should run anywhere. Opera's support is quite new and may not be as mature.

There are know issues with the SVG importer, but I have found Batik is the most reliable and correct SVG viewer. Correct, in that it will give off warnings for non-conformant SVG.

2006-05-09 15:44

 

svgtest.sla (62,984 bytes)

2006-05-09 15:45

 

svgtest.svg (3,374 bytes)

2006-05-09 15:45

 

svgtest_reimport.sla (85,184 bytes)

mkoren

2006-05-09 15:55

reporter   ~0011151

avox: uploaded original file, exported svg, and result of reimporting into original.

plinnel: thanks. It looked like in this case Opera was correct by comparison to the original and imported views in scribus, so I didn't look for anything better, but I'll certainly get a better viewer if I do much work with SVG.

jghali

2006-10-10 22:00

administrator   ~0012897

I have fixed the problem of the messed up objects

jghali

2006-10-11 06:55

administrator   ~0012907

Wavelets are now rendered when importing as a new file

plinnell

2006-10-14 14:51

viewer   ~0012977

tested, fixed

mkoren

2006-12-31 20:00

reporter   ~0014336

I just tested this in 1.3.3.6, and the structural problems have been fixed, but the elements still get smaller upon exporting and reimporting. Export and reimport from my original sla to see what I mean.

jghali

2006-12-31 21:22

administrator   ~0014337

this is another issue not particular to this svg files and which has been recently fixed in 1.3.4cvs

Issue History

Date Modified Username Field Change
2006-05-08 23:24 mkoren New Issue
2006-05-08 23:24 mkoren File Added: svgtest.png
2006-05-08 23:27 mkoren File Added: svgtest_import_as_new.png
2006-05-09 09:28 avox Note Added: 0011134
2006-05-09 09:28 mhanski Status new => feedback
2006-05-09 13:08 plinnell Note Added: 0011144
2006-05-09 15:44 mkoren File Added: svgtest.sla
2006-05-09 15:45 mkoren File Added: svgtest.svg
2006-05-09 15:45 mkoren File Added: svgtest_reimport.sla
2006-05-09 15:55 mkoren Note Added: 0011151
2006-05-09 17:33 christoph_s Relationship added related to 0003714
2006-05-09 17:35 christoph_s Relationship added related to 0003670
2006-05-09 17:35 christoph_s Relationship added related to 0002931
2006-05-09 17:36 christoph_s Relationship added related to 0003440
2006-05-09 17:37 christoph_s Relationship added related to 0003278
2006-05-17 18:27 christoph_s Relationship deleted related to 0002931
2006-05-17 18:34 christoph_s Relationship added child of 0002931
2006-10-10 22:00 jghali Note Added: 0012897
2006-10-10 22:01 jghali Status feedback => assigned
2006-10-10 22:01 jghali Assigned To => jghali
2006-10-11 06:55 jghali Status assigned => resolved
2006-10-11 06:55 jghali Fixed in Version => 1.3.3.5cvs
2006-10-11 06:55 jghali Resolution open => fixed
2006-10-11 06:55 jghali Note Added: 0012907
2006-10-14 14:51 plinnell Status resolved => closed
2006-10-14 14:51 plinnell Note Added: 0012977
2006-12-31 20:00 mkoren Status closed => feedback
2006-12-31 20:00 mkoren Resolution fixed => reopened
2006-12-31 20:00 mkoren Note Added: 0014336
2006-12-31 21:22 jghali Status feedback => resolved
2006-12-31 21:22 jghali Fixed in Version 1.3.3.5cvs => 1.3.3.6cvs
2006-12-31 21:22 jghali Resolution reopened => fixed
2006-12-31 21:22 jghali Note Added: 0014337
2007-01-01 20:50 plinnell Status resolved => closed
2007-01-01 20:50 plinnell Fixed in Version 1.3.3.6cvs => 1.3.3.7cvs